FaqWhichCVSSupport

Which CVS support (modern / legacy) am I using?

NetBeans 6.x:

If the IDE's main menu contains Versioning > CVS > Show Changes then you are using the most up-to-date CVS support. Otherwise the CVS module is either disabled or you are using legacy support.

You can switch between modern/legacy systems anytime:

Open the Plugin Manager (Tools > Plugins). Switch the the Installed tab to view installed plugins.

  • To activate/deactivate your current version control plugin, click Activate/Deactivate.
  • To install a different version control system, switch to Available Plugins. Select a plugin and proceed with installation.

NetBeans 5.x:

  • If the IDE's main menu contains the CVS menu item, you are using the new integrated CVS support.
  • If the IDE's main menu contains the Versioning menu item, you are using generic versioning support.

You can switch between modern/legacy systems anytime:

Open the Module Manager (Tools > Module Manger). Under the Version Control category, enable/disable the respective module.

Versioning Plugins:

  • CVS Versioning System represents integrated CVS versioning.
  • VCS Generic Command-Line Support and VCS Core (additional profiles and bridges are disabled automatically by dependencies)

To enable plugins in the IDE, you must download them through the IDE's Plugin Manager (NB 5.x: Update Center).

Then manually restart the IDE to avoid potential instability issues.

Not logged in. Log in, Register

By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo